package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.ProcessWorkingHours;

import java.util.Date;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface ProcessWorkingHoursService extends BaseService<ProcessWorkingHours> {

	ProcessWorkingHours getByEquipmentCodeAndLotNo(String deviceCode, String lotNo);

	ProcessWorkingHours getByEquipmentCodeAndLotNoIsNull(String deviceCode);

	ProcessWorkingHours getByEquipmentCodeLast(String deviceCode);

	List<ProcessWorkingHours> getBySeriesAndStepNameAndStartTime(String series, String workHourName, String startTime, String endTime);

	List<ProcessWorkingHours> getByStartTime(String startTime, String endTime);

	ProcessWorkingHours findByLotNoAndStep(String lotNo, String step);

	List<ProcessWorkingHours> findByStepName(String stepName);

	ProcessWorkingHours findTopByEquipmentCodeAndLotNoAndStartTimeAndEndTimeOrderByIdDesc(String deviceCode, String lotNo, Date startTime, Date endTime);
}
